
octofussd - Segnalazione #942

octofussd 10.0.7-2 non caricato nei repositorry

12/23/2019 03:24 PM - Paolo Dongilli

Status: Commenti Start date: 12/23/2019

Priority: Normale Due date:  

Assignee: Paolo Dongilli % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

root@isolda:/iso/incoming/buster# ls

octofussd_10.0.7-2_all.deb          octofussd_10.0.7-2.debian.tar.xz

octofussd_10.0.7-2_amd64.buildinfo  octofussd_10.0.7-2.dsc

octofussd_10.0.7-2_amd64.changes

root@isolda:/iso/incoming/buster# /iso/bin/post-upload

File "pool/main/o/octofussd/octofussd_10.0.7.orig.tar.gz" is already registered with different che

cksums!

md5 expected: xxx, got: yyy

size expected: 64755, got: 64883

There have been errors!

History

#1 - 12/24/2019 02:54 AM - Paolo Dongilli

Spostati i file momentaneamente in /root/packages/octofussd altrimenti l'errore pregiudica l'indicizzazione di nuovi pacchetti da caricare in buster.

#2 - 12/24/2019 09:25 AM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Dongilli

Posso vedere i comandi con cui è stato buildato il pacchetto?

il problema è che è stato rigenerato il file octofussd_10.0.7.orig.tar.gz e non è identico a quello che era già stato caricato, per cui la nuova versione

non viene accettata, però non mi è chiaro come mai sia successo.

#3 - 12/26/2019 10:56 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Elena Grandi

- Priority changed from Alta to Normale

Elena Grandi wrote:

Posso vedere i comandi con cui è stato buildato il pacchetto?

 

Non so chi l'abbia generato. Ho solo rilevato che era bloccato in /iso/upload/buster su archive.fuss.bz.it

il problema è che è stato rigenerato il file octofussd_10.0.7.orig.tar.gz e non è identico a quello che era già stato caricato, per cui la nuova

versione non viene accettata, però non mi è chiaro come mai sia successo.

 

Ho analizzato la cosa e ho visto che nel passaggio dalla 10.0.7-1 alla 10.0.7-2 non c'è stata solo una modifica nel packaging ma anche nel file
README.txt nella root del sorgente. A causa di questo il nuovo file generato octofussd_10.0.7.orig.tar.gz è diverso dal precedente. In tal caso ho

fatto un version bump alla 10.0.8 rigenerando ed uploadando il pacchetto su archive.

#4 - 02/03/2020 10:25 AM - Elena Grandi

- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Paolo Dongilli

questo adesso è a posto, giusto?

si può chiudere?
